<?php

use App\Http\Controllers\HomeController;
use App\Http\Controllers\PageController;
use Illuminate\Support\Facades\Route;

//====================================================
// Описание работы классов и методов исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
//====================================================

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get("/", [HomeController::class,"index"]);
Route::get("/home/comments", [HomeController::class,"comments"]);
Route::post("/home/comments", [HomeController::class,"comments"]);

Route::get("/pages/{uri}", [PageController::class,"pages"]);

Route::get('/welcome', function () {
    return view('welcome');
});
